Search Gradle plugins

nebula.blacklist

Gradle plugin for providing rules for dependency resolution correction

https://github.com/nebula-plugins/gradle-blacklist-plugin

Version 3.1.0 (latest)

Created 16 August 2016.

Gradle plugin for providing rules for dependency resolution correction

Using the plugins DSL:

plugins {
  id "nebula.blacklist" version "3.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.netflix.nebula:gradle-blacklist-plugin:3.1.0"
  }
}

apply plugin: "nebula.blacklist"

Using the plugins DSL:

plugins {
  id("nebula.blacklist") version "3.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.netflix.nebula:gradle-blacklist-plugin:3.1.0")
  }
}

apply(plugin = "nebula.blacklist")

Learn how to apply plugins to subprojects